-- Copyright (C) 2010 Noé Falzon <firstname.lastname@aliceadsl.fr>

-- This program is  free software:  you can redistribute it and/or modify it
-- under  the terms  of the  GNU General Public License  as published by the
-- Free Software Foundation, version 3 of the License.
--
-- This program  is  distributed  in the hope  that it will  be useful,  but
-- WITHOUT  ANY WARRANTY;  without  even the implied  warranty of MERCHANTA-
-- BILITY  or  FITNESS FOR A PARTICULAR PURPOSE.  See the GNU General Public
-- License for more details.
--
-- You should have received a copy of the  GNU General Public License  along
-- with this program. If not, see <http://www.gnu.org/licenses/>.

menu = {}

function menu.init(tut)
	
	menu.state = tut and 'tutorials' or 'menu' -- or 'tutorials'
end

function menu.update(dt)
	
	if menu.state == 'menu' then
		img.menu:blit(evol.width/2,evol.height/2)
	else
		img.menutut:blit(evol.width/2,evol.height/2)
	end
end

function menu.keydown(key)
	
	if menu.state == 'menu' then
		
		if key == evol.key_1 then
			--setGameMode(game, 'solo')
		elseif key == evol.key_2 then
			setGameMode(game, 'versus')
		elseif key == evol.key_3 then
			menu.state = 'tutorials'
		end
		
	else
		if key == evol.key_1 then
			setGameMode(game, 'tut', 1)
		elseif key == evol.key_2 then
			setGameMode(game, 'tut', 2)
		elseif key == evol.key_3 then
			setGameMode(game, 'tut', 3)
		elseif key == evol.key_4 then
			setGameMode(game, 'tut', 4)
		elseif key == evol.key_7 then
			setGameMode(game, 'tut', 5)
		elseif key == evol.key_8 then
			setGameMode(game, 'tut', 6)
		elseif key == evol.key_9 then
			setGameMode(game, 'tut', 7)
		else
			menu.state = 'menu'
		end
	end
end
