-- Copyright (C) 2010 Noé Falzon <firstname.lastname@aliceadsl.fr>

-- This program is  free software:  you can redistribute it and/or modify it
-- under  the terms  of the  GNU General Public License  as published by the
-- Free Software Foundation, version 3 of the License.
--
-- This program  is  distributed  in the hope  that it will  be useful,  but
-- WITHOUT  ANY WARRANTY;  without  even the implied  warranty of MERCHANTA-
-- BILITY  or  FITNESS FOR A PARTICULAR PURPOSE.  See the GNU General Public
-- License for more details.
--
-- You should have received a copy of the  GNU General Public License  along
-- with this program. If not, see <http://www.gnu.org/licenses/>.

tutorial = {}

tutorial[1] = {
	"War, they say, is like a wave crashing on a shore. It comes, it goes, it comes, it goes, and when finally the people rebuilt their homes and comforted their children, it comes again, comes again burning, breaking, crushing the lives of the innocent, destroying the balance of the universe and of all the things under the Heavenly Spheres. Obliterating the creatures of the mighty Makers and the spirits of the...",
	"BLAH BLAH! War, good guys, bad guys. Young inexperienced bloke saves the world, our last hope, etc. Let's cut the crap, shall we? Grab a spear, stick the pointy end in the other guy. You know the drill. NEXT!",
	"You're deaf? You need a picture? I said NEXT!",
	"Oh wait. Right. You must be the drummer. Lucky you, you get to stay at the rear of the battle while the regular people take the pointy things in their...",
	"Hum.",
	[[So drummer heh? Great honor, to be the Mystical Pum-Taka-Tshh of the Heavenly Drums of Awesome. You're sure you're up for the task? Mmm well, it's not like we have a lot of choice with this whole "last hope" deal... So, I guess we should start with the basics.]],
	"You are going to lead a great army of your fellow Taka-Pum to battle. And, erm, hopefully to victory. To defeat the evil, erm... whoever they are, and restore balance to the spheres and whatnot, you should be familiar with the soldiers who will die for your pretty eyes.",
	"First is the true core of our Super Elite Troopers of Fury Corps, the Pum. Dudes with pikes. They will charge with great vengeance and furious anger those who would attempt to poison and destroy our brothers. Or something. They will have to get close to the battle and get they hand dirty. Those are the real men.",
	[[Then you have the "where is my mommy - sitting on their asses - Legolas style" super sissies, the Tshh. They like to stay behind where it's not too hot and chat like old ladies around a cup of tea. And well, sometimes they get useful with their bow and arrow toys, but heh, those idiots just shoot randomly and are seriously into friendly fire... OK, they can make some heavy damage, but you'll have to be very careful when handling these morons.]],
	"So, last thing before the real deal. You'll see that the orders you'll give have certain logic. The Mega Master Evil War Overlords designed the patterns so that these idiots can understand them without too much difficulty. When ordering something to the Pum, the pattern will end in Pum. When you'll try to get those dimwits Tshh to haul their tea-party somewhere else, the pattern will end in Tshh. And when you want to address the whole bunch of Taka-Pum, well, guess what. Play Taka-Pum on the drums.",
	"Remember this, young err... you. It is the first step to save the world."
	
}

tutorial[2] = {
	[[First things first. We'll start with the easiest part. Getting your soldiers to move. They won't do it on their own. The pattern for the "March" order is Taka-Taka. Followed by the kind of guys you want to move.]],
	"We'll start with the Pum. Play Taka-Taka-Pum on the Heavenly Drums of Awesome. Listen carefully to the Spirit of the Ancient Mystical Pum-Taka-Tshh, he will give you the rhythm and the tempo. It should be pretty easy for now, three regular hits.",
	{'march-spike'},
	"Perfect! Well, maybe not, but that will do. Note that if you play a correct pattern, but the wrong rhythm or tempo, your drums will vibrate. If you just play crap, nothing will happen. And your guys will get killed. We wouldn't want that, would we?",
	"OK. Try again.",
	{'march-spike'},
	[[Good. Now move the Tshh. Remember? Taka-Taka for "March" and Tshh for "Tshh". Again simple and regular.]],
	{'march-bow'},
	"Nice! If you go on like that, maybe we're not so screwed after all... Finally, move the whole bunch with Taka-Taka-Taka-Pum.",
	{'march'},
	"Excellent! But don't think you can slack off! Next lesson, NOW!"
}

tutorial[3] = {
	[[So. Sometimes, despite all your good will and efforts, your guys are gonna get their asses kicked. Then you might want to consider retirement. Heh. In your dreams. I meant "retreat". The retreat pattern is Pum-Pum. Go on, exercise the three orders you can give: Pum-Pum-Pum, Pum-Pum-Tshh and Pum-Pum-Taka-Pum. The Spirit of the Ancient Mystical Pum-Taka-Tshh will correct you if you suck. He's a cool guy. You know, despite being... dead.]],
	[[Start with Pum-Pum-Pum.]],
	{'retreat-spike'},
	[[Good, now Pum-Pum-Tshh...]],
	{'retreat-bow'},
	[[Nice! Finally, Pum-Pum-Taka-Pum.]],
	{'retreat'},
	"Perfect! You can go on to the next lesson!"
}

tutorial[4] = {
	[[Ha, finally, my favorite part! Ass kicking! Now that you can move your guys around, you have to give them the order to "attack". Yeah, even if the baddies are like just under their noses, they won't lift a finger. That's your job to tell them, kiddo. Or they'll just die. And it would be YOUR fault!]],
	"The attack pattern is Pum-Tagada. But beware, it's getting a bit more complex. It's not regular anymore. Some drums will sound together. Listen very carefully to the Ancient to learn the rhythm. If you've got half a brain more than a Tshh, you will have guessed the patterns: Pum-Tagada-Pum, Pum-Tagada-Tshh and Pum-Tagada-Taka-Pum. Take your time, and you're going to be fine. We hope. Oh and yeah again, beware of Tshh friendly fire.",
	"Try Pum-Tagada-Pum first.",
	{'attack-spike'},
	"Then Pum-Tagada-Tshh...",
	{'attack-bow'},
	"Aaaand, Pum-Tagada-Taka-Pum!",
	{'attack'},
	"Good! Now you have the huge powers of an army of zealous fanatics at your finger tips. Ain't that great? Go on to the next lesson, for more awesomeness!"
}

tutorial[5] = {
	[[If you made it here, it means you're already quite able to lead your troopers. Sometimes, when the shitstorm hits hard, your guys won't have time to retreat. Then your last resort is "protect". At your signal, your Taka-Pum soldiers will present their Absolute and Unbeatable Shields of Yeepee. As the name implies, they are perfectly safe. No arrow or pike will go through. Pretty handy.]],
	[[Of course after a while, the Taka-Pum will forget why they were there and go back to being useless sitting ducks in the middle of the battlefield. The pattern is Pum-Tagada-Tagada.]],
	"Train a bit to play Pum-Tagada-Tagada-Pum...",
	{'protect-spike'},
	"Pum-Tagada-Tagada-Tshh...",
	{'protect-bow'},
	"And Pum-Tagada-Tagada-Taka-Pum.",
	{'protect'},
	"Excellent! Now your Taka-Pum can feel safe in combat. In a manner of speaking..."
}

tutorial[6] = {
	[[You thought you were done? Think again, mister I'm gonna save the world with my drumkit... War is more than just sending troops to the front line. It takes more than a fine tactician to win a battle. If you wondered why the Mystical Pum-Taka-Tshh of the Heavenly Drums of Awesome was called "mystical", and the drums "heavenly", well here comes the answer. If you didn't wonder, I can't really help you.]],
	[[Our Makers - Praise their Spherical Glory - are listening to us. And more precisely, to you, drummer. If they are pleased with the rhythms you play, they will reward you with miracles. Now, what the textbook doesn't say is that they will listen and answer to the other guys' drummer as well. Grumph. Anyway. We'll start with an easy one. The Holy and Bucolic Dance of the Yellow Sphere. I can't pronounce the pattern, it is highly forbidden. You will have to learn it from the Ancient. Good luck, kiddo!]],
	{'sun'},
	[[Neat heh? It's pretty useless, but it makes this whole mess of a war a bit more poetic. Now for the real deal. When your front line is taking heavy damage, your backup has been scattered, retreat is cut and the guys can't keep protecting with shields forever, call the Spheres! Call for the Well Appreciated Gift of Health. The Makers will re-inflate the wounded bodies of your Taka-Pum to their original youth! So you can send them to the battle again. And again. And again!]],
	{'heal'},
	[[There is one last miracle you can perform. It is not easy. But it is worth the practice. As the Makers can heal, the Makers can make! And it's not mystic-babble, I swear! I've seen legendary heroes rise from the curve-less Ether and change the balance of battles.]],
	{'spawn'},
	[[Kiddo... There is hope after all! I believe in you! You truly are the new Mystical Pum-Taka-Tshh of the Heavenly Drums of Awesome, as foretold by... Oh whatever.]]
}

tutorial[7] = {
	"You came a long way. But it is only the beginning of your journey. Here are a few protips. Keep an eye on your drums. If they vibrate, it means that the sequence of drums is correct, but not the rhythm. Take your time, keep the beat going. If after entering a pattern, nothing happens, well, it didn't exist. Wait a short instant and try again.",
	"You can start entering a new command right after the previous one takes effect (or right when the drums start to vibrate), don't lose any time, keep the music flowing!",
	"Miracles are long and difficult to perform, make sure your Taka-Pum are busy doing something before trying one. You can always come back to the training if you need too.",
	"Well, it's all I know. The fate of the world is in your hand, etc, etc. Good luck!",
	"Move Taka-Pum. For great justice!"
}
